List company centros de resultados with budgets
curl --request GET \
--url https://api.finsync.ar/api/cost-centers \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/cost-centers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/cost-centers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/cost-centers"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"company_id": 123,
"client_id": 123,
"name": "<string>",
"default_currency": "<string>",
"default_internal_account_id": 123,
"net_balance_by_default": true,
"budgets": [
{
"id": 123,
"cost_center_id": 123,
"currency": "<string>",
"year": 123,
"period": 123,
"amount": 123,
"kind": "expense"
}
]
}
]
}Cost Centers
List company centros de resultados with budgets
Returns the company’s cost centers (API field cost_center_id) with an embedded budgets array so integrators can resolve IDs. Create centers with POST /api/cost-centers.
GET
/
api
/
cost-centers
List company centros de resultados with budgets
curl --request GET \
--url https://api.finsync.ar/api/cost-centers \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/cost-centers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/cost-centers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/cost-centers"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"company_id": 123,
"client_id": 123,
"name": "<string>",
"default_currency": "<string>",
"default_internal_account_id": 123,
"net_balance_by_default": true,
"budgets": [
{
"id": 123,
"cost_center_id": 123,
"currency": "<string>",
"year": 123,
"period": 123,
"amount": 123,
"kind": "expense"
}
]
}
]
}